plugins {
    id("java")
}

group = "io.gitlab.jfronny.gson"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
    maven("https://gitlab.com/api/v4/projects/35030495/packages/maven") // Gson
    maven("https://gitlab.com/api/v4/projects/35745143/packages/maven") // Commons
}

dependencies {
    annotationProcessor(project(":gson-compile-processor"))
    compileOnly(project(":gson-compile-annotations"))
    implementation(project(":gson-compile-core"))
}

