plugins {
    id("java")
}

group = "io.gitlab.jfronny.gson"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
    maven("https://gitlab.com/api/v4/projects/35745143/packages/maven")
}

dependencies {
    implementation(project(":gson-compile-annotations"))
    implementation("org.jetbrains:annotations:23.0.0")
    implementation("io.gitlab.jfronny:commons:2022.10.22+20-29-33")
    implementation("com.squareup:javapoet:1.13.0")
}

tasks.getByName<Test>("test") {
    useJUnitPlatform()
}